Subject: RE: [Ghdl-discuss] GHDL-0.27 for Cygwin
From: "Dave Korn" <[email-masked]>
To: "'Jason Pyeron'" <[email-masked]>, "'GHDL discuss list'" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 5 Aug 2008 14:55:53 +0100
List-Id: <cygwin.cygwin.com>

Jason Pyeron wrote on 05 August 2008 14:38:

>>>> Make fails with the following error:
>>>> Comparing stages 2 and 3
>>>> warning: ./cc1-checksum.o differs
>>>> warning: ./libgcc/_chkstk.o differs
>>>> Bootstrap comparison failure!
>>>> ./ada/exp_aggr.o differs
>>>> make[2]: *** [compare] Error 1
>>>> make[2]: Leaving directory `/tmp/gcc-4.2.4-build'
>>>> make[1]: *** [stage3-bubble] Error 2
>>>> make[1]: Leaving directory `/tmp/gcc-4.2.4-build'
>>>> make: *** [all] Error 2

  From this error message, your failure is happening at the final stage of
bootstrapping.  At this point, the new gcc has been built, and is being used
to rebuild itself as a consistency check.  So this could be an error for one
of two reasons: your system gcc (3.4.4) could have compiled stage 1 badly in
such a way that it compiled stage 2 badly in such a way that it didn't
rebuild itself correctly; or it could just be a bug in the version of gcc
that you're building.  The latter is more likely than that a bug in the
former could propagate all the way through bootstrap, but either is still
possible.

> I am able to compile c & ada support with release 4.2.0, but 4.2.1 fails
> (identical error), this is looking like a regression. 

  Yes, it does indeed.

> From the gcc-help
> mailing list it looks like 4.2.x series is going to be very hard to get
> running on cygwin. Our only luck in this matter is that the problem looks
> to be a regression.

  If I were you, I'd file a report in the GCC bugzilla, and then try using
4.3.0 instead, which I can confirm builds OOTB on cygwin.

    cheers,
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/